> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.coperniq.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.coperniq.io/_mcp/server.

# Get Timesheet

GET https://api.coperniq.io/v1/timesheets/{timesheet_id}

Retrieve a specific timesheet by ID. Returns 404 if archived unless `include_archived=true` is passed.

Reference: https://docs.coperniq.io/api-reference/timesheets/get-timesheet

## Authentication

- `x-api-key` header (required) — API Key authentication via header

## Request

### Path parameters

- `timesheet_id` (string, required)

### Query parameters

- `include_archived` (boolean, optional, default: false) — Return the timesheet even if it has been archived.

## Response

### 200

Timesheet details

- `id` (integer, optional) — Unique identifier.
- `type` (enum, optional, nullable) — Time entry type.
  - Allowed values: `WORKING`, `TRAVEL`
- `status` (enum, optional, nullable) — Processing status of the time entry.
  - Allowed values: `PROCESSING`, `PROCESSED`, `FAILED`
- `startDate` (string, optional, nullable)
- `endDate` (string, optional, nullable)
- `distance` (double, optional, nullable) — Distance traveled, for TRAVEL entries.
- `note` (string, optional, nullable)
- `isArchived` (boolean, optional, nullable)
- `createdAt` (string, optional)
- `updatedAt` (string, optional)
- `projectId` (integer, optional, nullable) — Set when the linked record is a Project. Null when it is an Account (see accountId) or Opportunity (see opportunityId).
- `accountId` (integer, optional, nullable) — Set when the linked record is an Account. Null otherwise.
- `opportunityId` (integer, optional, nullable) — Set when the linked record is an Opportunity. Null otherwise.
- `workOrderId` (integer, optional, nullable)
- `targetUserId` (integer, optional, nullable) — The worker the time entry is logged for.
- `createdBy` (integer, optional, nullable)
- `updatedBy` (integer, optional, nullable)
- `laborHourlyRate` (double, optional, nullable) — Labor cost ($/hr). Only visible with the appropriate financial privilege.
- `laborTotalCost` (double, optional, nullable) — Only visible with the appropriate financial privilege.

## Errors

### 401 Unauthorized Error

Authentication failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `BAD_GATEWAY`

### 404 Not Found Error

Resource not found

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `BAD_GATEWAY`

### 502 Bad Gateway Error

Bad gateway — an upstream service request failed

- `message` (string, optional)
- `code` (enum, optional)
  - Allowed values: `BAD_GATEWAY`

## Examples

**Response**

```json
{
  "id": 1,
  "type": "WORKING",
  "status": "PROCESSING",
  "startDate": "2024-01-15T09:30:00Z",
  "endDate": "2024-01-15T09:30:00Z",
  "distance": 1.1,
  "note": "string",
  "isArchived": true,
  "createdAt": "2024-01-15T09:30:00Z",
  "updatedAt": "2024-01-15T09:30:00Z",
  "projectId": 1,
  "accountId": 1,
  "opportunityId": 1,
  "workOrderId": 1,
  "targetUserId": 1,
  "createdBy": 1,
  "updatedBy": 1,
  "laborHourlyRate": 1.1,
  "laborTotalCost": 1.1
}
```

**SDK Code**

```python
import requests

url = "https://api.coperniq.io/v1/timesheets/timesheet_id"

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.coperniq.io/v1/timesheets/timesheet_id';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.coperniq.io/v1/timesheets/timesheet_id"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.coperniq.io/v1/timesheets/timesheet_id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.coperniq.io/v1/timesheets/timesheet_id")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.coperniq.io/v1/timesheets/timesheet_id', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.coperniq.io/v1/timesheets/timesheet_id");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.coperniq.io/v1/timesheets/timesheet_id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```